import { Component, OnInit, Input, EventEmitter, Output } from '@angular/core';

@Component({
  selector: 'app-employee-information',
  templateUrl: './employee-information.component.html',
  styleUrls: ['./employee-information.component.scss'],
})
export class EmployeeInformationComponent implements OnInit {

  public userImage: any = '../assets/imgs/profile.png';
  @Input() name: string;
  @Input() title: string;
  @Input() employeeImage: string;
  @Input() employeePhoneNumber: string;
  // tslint:disable-next-line: no-output-on-prefix
  @Output() onGetDetails = new EventEmitter();

  constructor() { }

  ngOnInit() {}

  getDetails() {
    this.onGetDetails.emit();
  }

}
